libname library 'XXX' ;

proc format library = library ;
   value V5F
      1 = '1974' ;
   value V6F
      1 = 'Capital (Copenhagen, Frederiksberg, Gentofte)'  
      2 = 'Suburbs (Copenhagen suburbs)'  
      3 = 'Urban (all other towns and suburbs consisting of 600 households or more)'  
      4 = 'Rural districts (all other regions)' ;
   value V7F
      1 = 'Male'  
      2 = 'Female' ;
   value V8F
      1 = '15-19 years'  
      2 = '20-24 years'  
      3 = '25-29 years'  
      4 = '30-39 years'  
      5 = '40-49 years'  
      6 = '50-64 years'  
      7 = '65 years or more' ;
   value V9F
      1 = 'Single'  
      2 = 'Married'  
      3 = 'Formerly married' ;
   value V10F
      1 = 'Worker, unskilled manual'  
      2 = 'Worker, skilled manual'  
      3 = 'Low rank white collar employee'  
      4 = 'High rank white collar employee'  
      5 = 'Farmer, independent'  
      6 = 'Retailer or artisan, independent'  
      7 = 'Other, independent (self-employed)'  
      8 = 'Apprentice, pupil, student, etc.'  
      9 = 'Pensioner or other person without employment'  
      10 = 'Married woman without employment' ;
   value V11F
      1 = 'Elementary school'  
      2 = 'Secondary school'  
      3 = 'Grammar school/university'  
      4 = 'Refuse to answer' ;
   value V12F
      1 = '1,000-11,999 D.Kr.'  
      2 = '12,000-19,999 D.Kr.'  
      3 = '20,000-29,999 D.Kr.'  
      4 = '30,000-39,999 D.Kr.'  
      5 = '40,000-49,999 D.Kr.'  
      6 = '50,000-79,999 D.Kr.'  
      7 = '80,000 D.Kr. or more'  
      8 = 'None'  
      9 = 'Don''t know, refuse to answer' ;
   value V13F
      1 = '0-11,999 D.Kr.'  
      2 = '12,000-19,999 D.Kr.'  
      3 = '20,000-29,999 D.Kr.'  
      4 = '30,000-39,999 D.Kr.'  
      5 = '40,000-49,999 D.Kr.'  
      6 = '50,000-64,999 D.Kr.'  
      7 = '65,000-79,999 D.Kr.'  
      8 = '80,000-99,999 D.Kr.'  
      9 = '100,000 D.Kr. or more'  
      10 = 'Don''t know/refuse to answer' ;
   value V14F
      1 = 'Worker, unskilled manual'  
      2 = 'Worker, skilled manual'  
      3 = 'Low rank white collar employee'  
      4 = 'High rank white collar employee'  
      5 = 'Farmer, independent'  
      6 = 'Retailer or artisan, independent'  
      7 = 'Other, independent (self-employed)'  
      8 = 'Apprentice, pupil, student, etc.'  
      9 = 'Pensioner or other person without employment'  
      10 = 'Married woman without employment' ;
   value V15F
      1 = '1 person'  
      2 = '2 persons'  
      3 = '3 persons'  
      4 = '4 persons'  
      5 = '5 persons or more' ;
   value V16F
      1 = 'House: owned'  
      2 = 'House: rented'  
      3 = 'Farm: owned/rented'  
      4 = 'Flat in a private house'  
      5 = 'Flat in a block'  
      6 = 'Flat: freehold or the like'  
      7 = 'Room' ;
   value V17F
      1 = '0 children'  
      2 = '1 child'  
      3 = '2 children'  
      4 = '3 children'  
      5 = '4 children or more' ;
   value V18F
      1 = 'Under 2'  
      2 = 'Not chosen' ;
   value V19F
      1 = '2-6 years'  
      2 = 'Not chosen' ;
   value V20F
      1 = '7-14 years'  
      2 = 'Not chosen' ;
   value V21F
      1 = '1 adult'  
      2 = '2 adults'  
      3 = '3 adults'  
      4 = '4 adults or more' ;
   value V22F
      1 = 'Head of household'  
      2 = 'Housewife'  
      3 = 'Other adult' ;
   value V23F
      1 = 'No housewife'  
      2 = 'Housewife without employment'  
      3 = 'Housewife with full-time employment'  
      4 = 'Housewife with part-time employment'  
      5 = 'Helpmate' ;
   value V24F
      1 = 'Socialdemokratiet (The Social Democratic Party)'  
      2 = 'Radikale Venstre (The Radical Liberal Party)'  
      3 = 'Konservative (The Conservative Party)'  
      4 = 'Retsforbundet (The Single-Tax Party)'  
      5 = 'Socialistisk Folkeparti (The Socialist People''s Party)'  
      6 = 'Kommunister (The Communist Party)'  
      7 = 'Centrum-demokraterne (The Centre Democratic Party)'  
      8 = 'Kristeligt Folkeparti (The Christian People''s Party)'  
      9 = 'Slesvigsk Parti (The Schleswig Party)'  
      10 = 'Venstre (The Liberal Party)'  
      11 = 'Venstresocialisterne (The Left-Wing Socialists)'  
      12 = 'Fremskridtspartiet (The Progress Party)'  
      13 = 'Other parties'  
      14 = 'No right of voting'  
      15 = 'Don''t know which party'  
      16 = 'Refuse to answer which party'  
      17 = 'Would not vote'  
      18 = 'Other' ;
   value V25F
      1 = 'Well'  
      2 = 'Fairly well'  
      3 = 'Not well'  
      4 = 'Don''t know' ;

proc datasets library = library ;
modify Dataset;
   format        V5 V5F.;
   format        V6 V6F.;
   format        V7 V7F.;
   format        V8 V8F.;
   format        V9 V9F.;
   format       V10 V10F.;
   format       V11 V11F.;
   format       V12 V12F.;
   format       V13 V13F.;
   format       V14 V14F.;
   format       V15 V15F.;
   format       V16 V16F.;
   format       V17 V17F.;
   format       V18 V18F.;
   format       V19 V19F.;
   format       V20 V20F.;
   format       V21 V21F.;
   format       V22 V22F.;
   format       V23 V23F.;
   format       V24 V24F.;
   format       V25 V25F.;
quit;
